<?php
/*
 * Template Name: Full Width
 * Description: A Page Template with a Page Builder design.
 */
global $hera_option;
get_header(); ?>

<?php 	
	$title = get_post_meta(get_the_ID(),'_cmb_page_title', true);
	$subtitle1 = get_post_meta(get_the_ID(),'_cmb_page_subtitle', true);		
?>
<div id="about">		
	<div class="parallax-section">
		<div class="parallax-blog"
		<?php if( function_exists( 'rwmb_meta' ) ) { ?>       
	        <?php $images = rwmb_meta( '_cmb_bg_page', "type=image" ); ?>
	        <?php if($images){ foreach ( $images as $image ) { ?>
	        <?php 
	        $img =  $image['full_url']; ?>
	          style="background-image: url('<?php echo esc_url($img); ?>');"
	        <?php } } ?>
	    <?php } ?>
		></div>
		<div class="just_pattern"></div>
		<div class="container z-index-pages">
			<div class="twelve columns" data-scrollreveal="enter top and move 250px over 3s">
				<h1><?php the_title(); ?></h1>
			</div>
			<div class="twelve columns">
				<div class="text-line-pages"></div>
			</div>	
			<div class="twelve columns" data-scrollreveal="enter bottom and move 250px over 3s">									
				<?php echo htmlspecialchars_decode($subtitle1); ?>									
			</div>			
		</div>
	</div>

	<?php if (have_posts()){ ?>
		<?php while (have_posts()) : the_post()?>
			<?php the_content(); ?>
		<?php endwhile; ?>
	
	<?php }else {
		esc_html_e('Page Canvas For Page Builder', 'hera'); 
	}?>
</div>	

<?php get_footer(); ?>