<?php
/*
 * Template Name: Home Showcase
 * Description: A Page Template with a Page Builder design.
 */
global $hera_option;
$menu_item1 = (!empty($hera_option['menu_item1']) ? $hera_option['menu_item1'] : '');
$menu_item2 = (!empty($hera_option['menu_item2']) ? $hera_option['menu_item2'] : '');
$menu_item3 = (!empty($hera_option['menu_item3']) ? $hera_option['menu_item3'] : '');
$menu_item4 = (!empty($hera_option['menu_item4']) ? $hera_option['menu_item4'] : '');
$menu_item5 = (!empty($hera_option['menu_item5']) ? $hera_option['menu_item5'] : '');
$menu_item6 = (!empty($hera_option['menu_item6']) ? $hera_option['menu_item6'] : '');
$menu_item7 = (!empty($hera_option['menu_item7']) ? $hera_option['menu_item7'] : '');
$menu_item8 = (!empty($hera_option['menu_item8']) ? $hera_option['menu_item8'] : '');
$menu_item9 = (!empty($hera_option['menu_item9']) ? $hera_option['menu_item9'] : '');
$menu_item10 = (!empty($hera_option['menu_item10']) ? $hera_option['menu_item10'] : '');
get_header('showcase'); ?>
<div id="myContainer">
	<?php if (have_posts()){ ?>
		<?php while (have_posts()) : the_post()?>
			<?php the_content(); ?>
		<?php endwhile; ?>
	<?php }else {
		esc_html_e('Page Canvas For Page Builder', 'hera'); 
	}?>
</div>
<script>
	(function($) { "use strict";
		$(document).ready(function() {
            $('#myContainer').multiscroll({
            	sectionsColor: ['', '', '', '', ''],
            	anchors: ['One', 'two', 'three', 'four', 'five', 'six', 'seven', 'eight','nine', 'ten'],
            	menu: '#menu',
            	navigation: true,
            	navigationTooltips: ['<?php echo esc_html($menu_item1); ?>', '<?php echo esc_html($menu_item2); ?>', '<?php echo esc_html($menu_item3); ?>', '<?php echo esc_html($menu_item4); ?>', '<?php echo esc_html($menu_item5); ?>', '<?php echo esc_html($menu_item6); ?>', '<?php echo esc_html($menu_item7); ?>', '<?php echo esc_html($menu_item8); ?>', '<?php echo esc_html($menu_item9); ?>', '<?php echo esc_html($menu_item10); ?>'],
            	normalScrollElements: '#demo',
            	loopBottom: true,
            	loopTop: true,
            	onLeave: function(index, nextIndex, direction){
            		console.log("onLeave==> index: " + index +" nextIndex: " + nextIndex + " direction: " + direction );
            	},
            	afterLoad: function(anchorLink, index){
					console.log("afterLoad==> anchorLink: " + anchorLink +" index: " + index);
            	},
            	afterRender: function(){
            		console.log("finish rendering");
            	}
            });

        });
	})(jQuery);
</script>
<?php wp_footer(); ?>