<?php 
//Custom Heading (use hera)
if(function_exists('vc_map')){

   vc_map( array(
   "name"      => __("OT Heading", 'hera'),
   "base"      => "heading",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params"    => array(
      array(

         "type"      => "textarea",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Text", 'hera'),

         "param_name"=> "text",

         "value"     => "Heading",

         

      ),

      array(

        "type" => "dropdown",

        "heading" => __('Element Tag', 'hera'),

        "param_name" => "tag",

        "value" => array(  

                     __('Select Tag', 'hera') => 'no',

                     __('h1', 'hera') => 'h1',

                     __('h2', 'hera') => 'h2',

                     __('h3', 'hera') => 'h3',  

                     __('h4', 'hera') => 'h4',

                     __('h5', 'hera') => 'h5',

                     __('h6', 'hera') => 'h6',  

                     __('p', 'hera')  => 'p',

                     __('div', 'hera') => 'div',

                    ),

        "description" => __("Section Element Tag", 'hera'),      

      ),

      array(

        "type" => "dropdown",

        "heading" => __('Text Align', 'hera'),

        "param_name" => "align",

        "value" => array(   

                     __('Select Style', 'hera') => 'no',

                     __('left', 'hera') => 'left',

                     __('right', 'hera') => 'right',  

                     __('center', 'hera') => 'center',

                     __('justify', 'hera') => 'justify',                  

                    ),



        "description" => __("Section Overlay", 'hera'),      

      ),

      array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Font Size", 'hera'),

         "param_name"=> "size",

         "value"     => "",

         

      ),

      array(

         "type"      => "colorpicker",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Color", 'hera'),

         "param_name"=> "color",

         "value"     => "",

         

      ),

    )));

}



// Button
if(function_exists('vc_map')){

   vc_map( array(

   "name"      => __("OT Button", 'hera'),

   "base"      => "button",

   "class"     => "",

   "icon" => "icon-st",

   "category"  => 'Hera Elements',

   "params"    => array(

           

      array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Button Link", 'hera'),

         "param_name"=> "btnlink",

         "value"     => "",

         

      ),

      array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Button Text", 'hera'),

         "param_name"=> "btntext",

         "value"     => "",

         

      ),

      array(
        "type" => "dropdown",
        "heading" => __('Style Show', 'hera'),
        "param_name" => "style",
        "value" => array( 
                     __('Style light', 'hera') => 'style1',
                     __('Style dark', 'hera') => 'style2',                      
                    ),
      ),
      array(
        "type" => "dropdown",
        "heading" => __('Button Align', 'hera'),
        "param_name" => "align",
        "value" => array( 
                     __('Center', 'hera') => 'center',
                     __('Left', 'hera') => 'left',
                     __('Right', 'hera') => 'right',    
                     __('Justify', 'hera') => 'justify',                   
                    ),
      ),
    )));

}

// Home Black Background
if(function_exists('vc_map')){

   vc_map( array(

   "name" => __("OT Home Black Background", 'hera'),

   "base" => "homeblack",

   "class" => "",

   "icon" => "icon-st",

   "category"  => 'Hera Elements',

   "params" => array(

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Extra ID Name", 'hera'),

         "param_name" => "extra_id",

         "value" => "",

         "description" => __("EX: left1, left2, right1, right2...", 'hera')

      ),

      array(

         "type" => "attach_image",

         "holder" => "div",

         "class" => "",

         "heading" => "Image Background",

         "param_name" => "photo",

         "value" => "",

         

      ),

      array(

        "type" => "dropdown",

        "heading" => __('Style', 'hera'),

        "param_name" => "style",

        "value" => array(                        

                     __('Style 1: Button', 'hera') => 'style1',

                     __('Style 2: Image', 'hera') => 'style2',  

                                      

                    ),

      ),      

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Button Link", 'hera'),

         "param_name" => "btnlink",

         "value" => "",

         "dependency"  => array( 'element' => 'style', 'value' => array( 'style1' ) ),

      ),

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Button Text", 'hera'),

         "param_name" => "btntext",

         "value" => "", 

         "dependency"  => array( 'element' => 'style', 'value' => array( 'style1' ) ),        

      ), 

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title Section", 'hera'),

         "param_name" => "title",

         "value" => "",

         "dependency"  => array( 'element' => 'style', 'value' => array( 'style2' ) ),         

      ), 

      array(

         "type" => "attach_image",

         "holder" => "div",

         "class" => "",

         "heading" => "Image Section",

         "param_name" => "image",

         "value" => "",

         "dependency"  => array( 'element' => 'style', 'value' => array( 'style2' ) ),         

      ),     

    )));

}

// Home White Background
if(function_exists('vc_map')){

   vc_map( array(

   "name" => __("OT Home White Background", 'hera'),

   "base" => "homewhite",

   "class" => "",

   "icon" => "icon-st",

   "category"  => 'Hera Elements',

   "params" => array(

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Extra ID Name", 'hera'),

         "param_name" => "extra_id",

         "value" => "",

         "description" => __("EX: left1, left2, right1, right2...", 'hera')

      ),

      array(

         "type" => "attach_image",

         "holder" => "div",

         "class" => "",

         "heading" => "Image Background",

         "param_name" => "photo",

         "value" => "",

         

      ),      

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title", 'hera'),

         "param_name" => "title",

         "value" => "",

         

      ),

      array(

         "type" => "textarea_html",

         "holder" => "div",

         "class" => "",

         "heading" => __("Content", 'hera'),

         "param_name" => "content",

         "value" => "",

         

      ),      

    )));

}





// Home Map
if(function_exists('vc_map')){

   vc_map( array(

   "name" => __("OT Home Map", 'hera'),

   "base" => "homemap",

   "class" => "",

   "icon" => "icon-st",

   "category"  => 'Hera Elements',

   "params" => array(

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Extra ID Name", 'hera'),

         "param_name" => "extra_id",

         "value" => "",

         "description" => __("EX: left1, left2, right1, right2...", 'hera')

      ),

      array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Latitude", 'hera'),

         "param_name"=> "latitude",

         "value"     => 44.789511,

         "description" => __("Find Latitude code: <a href='http://www.latlong.net/' target='_blank'>view more</a>", 'hera')

      ),

     array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Longitude", 'hera'),

         "param_name"=> "longitude",

         "value"     => 20.43633,

         "description" => __("Find Longitude code: <a href='http://www.latlong.net/' target='_blank'>view more</a>", 'hera')

      ),

      

    )));

}

// Home Background Image
if(function_exists('vc_map')){

   vc_map( array(

   "name" => __("OT Home Image", 'hera'),

   "base" => "homeimage",

   "class" => "",

   "icon" => "icon-st",

   "category"  => 'Hera Elements',

   "params" => array(

      array(

         "type" => "attach_image",

         "holder" => "div",

         "class" => "",

         "heading" => "Image Background",

         "param_name" => "photo",

         "value" => "",
      ),      

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title", 'hera'),

         "param_name" => "title",

         "value" => "",
      ),

      array(

         "type" => "textarea_html",

         "holder" => "div",

         "class" => "",

         "heading" => __("Content", 'hera'),

         "param_name" => "content",

         "value" => "",
      ),    

      array(
        'type' => 'vc_link',
         "heading" => __("Button Link", 'hera'),
         "param_name" => "linkbox",         
         "description" => __("Add link to button.", 'hera')
      ),   

    )));

}

// Home HTML5 Video
if(function_exists('vc_map')){
   vc_map( array(

   "name" => __("OT Home HTML5 Video", 'hera'),

   "base" => "home_html5video",

   "class" => "",

   "icon" => "icon-st",

   "category"  => 'Hera Elements',

   "params" => array(

      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link video mp4",
         "param_name" => "mp4",
         "value" => "",
         "description" => __("Add link video .mp4", 'hera')
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link video webm",
         "param_name" => "webm",
         "value" => "",
         "description" => __("Add link video .webm", 'hera')
      ), 
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link video ogg",
         "param_name" => "ogg",
         "value" => "",
         "description" => __("Add link video .ogg", 'hera')
      ), 

      array(

         "type" => "attach_image",

         "holder" => "div",

         "class" => "",

         "heading" => "Image Background",

         "param_name" => "poster",

         "value" => "",
      ),      

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title", 'hera'),

         "param_name" => "title",

         "value" => "",
      ),

      array(

         "type" => "textarea_html",

         "holder" => "div",

         "class" => "",

         "heading" => __("Content", 'hera'),

         "param_name" => "content",

         "value" => "",
      ),    

      array(
        'type' => 'vc_link',
         "heading" => __("Button Link", 'hera'),
         "param_name" => "linkbox",         
         "description" => __("Add link to button.", 'hera')
      ),   

    )));

}

// Home Youtube Video
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT Home Youtube Video", 'hera'),
   "base" => "home_youtubevideo",
   "class" => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params" => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Enter Your ID YouTube Video", 'hera'),
         "param_name" => "video_link",
         "value" => "",
         "description" => __("Your ID YouTube Video, Example: <code>5ynGpsRtNHw</code> https://www.youtube.com/embed/<code>5ynGpsRtNHw</code> or https://www.youtube.com/watch?v=<code>5ynGpsRtNHw</code>, Please only Your ID Video and not all link video.", 'hera')
      ),    

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title", 'hera'),

         "param_name" => "title",

         "value" => "",
      ),

      array(

         "type" => "textarea_html",

         "holder" => "div",

         "class" => "",

         "heading" => __("Content", 'hera'),

         "param_name" => "content",

         "value" => "",
      ),    

      array(
        'type' => 'vc_link',
         "heading" => __("Button Link", 'hera'),
         "param_name" => "linkbox",         
         "description" => __("Add link to button.", 'hera')
      ),   

    )));
}

// Home Moving Background
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT Home Moving Background", 'hera'),
   "base" => "movingbg",
   "class" => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params" => array(
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => __("Background Image Moving", 'hera'),
         "param_name" => "bgmoving",
         "value" => "",
         "description" => __("Upload Background Image Moving, Recomended Size: 3830 x 800 (max-width: 5000 and max-height: 800)", 'hera')
      ),      

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title", 'hera'),

         "param_name" => "title",

         "value" => "",
      ),

      array(

         "type" => "textarea_html",

         "holder" => "div",

         "class" => "",

         "heading" => __("Content", 'hera'),

         "param_name" => "content",

         "value" => "",
      ),    

      array(
        'type' => 'vc_link',
         "heading" => __("Button Link", 'hera'),
         "param_name" => "linkbox",         
         "description" => __("Add link to button.", 'hera')
      ),   

    )));
}

// Services Box (use)
if(function_exists('vc_map')){   
   vc_map( array(
   "name" => __("OT Services Box", 'hera'),
   "base" => "servicebox2",
   "class" => "",
   "category"  => 'Hera Elements',
   "icon" => "icon-st",
   "params" => array(
     array(
         'type' => 'iconpicker',
         'heading' => __( 'Icon', 'hera' ),
         'param_name' => 'icon_fontawesome',
         'value' => 'fa fa-info-circle',
         'settings' => array(
            'emptyIcon' => false, // default true, display an "EMPTY" icon?
            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
         ),         
         'description' => __( 'Select icon from library.', 'hera' ),
      ),   
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Title Service", 'hera'),
         "param_name" => "title",
         "value" => "",
         "description" => __("Title display in Services box.", 'hera')
      ),      
      array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => __("Content Service", 'hera'),
         "param_name" => "content",
         "value" => "",
         "description" => __("About your Services.", 'hera')
      ),      
      array(
         'type' => 'css_editor',
         'heading' => __( 'CSS box', 'hera' ),
         'param_name' => 'css',
         // 'description' => __( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'hera' ),
         'group' => __( 'Design Options', 'hera' )
      ), 
    )
    ));
}

//About Box
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT About Box", 'hera'),
   "base" => "aboutbox",
   "class" => "",
   "category"  => 'Hera Elements',
   "icon" => "icon-st",
   "params" => array(
     array(
         'type' => 'iconpicker',
         'heading' => __( 'Icon', 'hera' ),
         'param_name' => 'icon_fontawesome',
         'value' => 'fa fa-info-circle',
         'settings' => array(
            'emptyIcon' => false, // default true, display an "EMPTY" icon?
            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
         ),         
         'description' => __( 'Select icon from library.', 'hera' ),
      ),    
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Title", 'hera'),
         "param_name" => "title",
         "value" => "",
         "description" => __("Title Box.", 'hera')
      ),
      array(
         "type" => "textarea",
         "holder" => "div",
         "class" => "",
         "heading" => __("Content", 'hera'),
         "param_name" => "content",
         "value" => "",
         "description" => __("Content Box", 'hera')
      ),
    )
    ));
}

//blog
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT Blog Post", 'hera'),
   "base" => "blog",
   "class" => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params" => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Title", 'hera'),
         "param_name" => "title",
         "value" => "",
         "description" => __("Text display in.", 'hera')
      ),
    )));
}

//Clients Logo (use)
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Clients Logo", 'hera'),
   "base"      => "logos",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params"    => array(
      array(
         "type" => "attach_images",
         "holder" => "div",
         "class" => "",
         "heading" => "Logo Client",
         "param_name" => "gallery",
         "value" => "",
         "description" => __("Use link out for logo client by enter link input caption image, View guide here: http://vegatheme.com/images/add-link-logo.jpg , Recomended Size: 200 x 130. ", 'hera')
      ), 
    )));
}

// Portfolio
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Portfolio", 'hera'),
   "base"      => "portfolio",
   'admin_enqueue_js'  => get_template_directory_uri() . '/framework/admin/js/select2.min.js',
   'admin_enqueue_css' => get_template_directory_uri() . '/framework/admin/css/select2.css',
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params"    => array(
       array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Text Show All Portfolio", 'hera'),
         "param_name"=> "all",
         "value"     => "",
         "description" => __("Example: Show All, Text Filter Show All Portfolio.", 'hera')
      ),
      array(
         "type"      => "select_categories",
         "holder"    => "div",
         "class"     => "",
         "edit_field_class" => "vc_col-sm-6",
         "heading"   => __("Categories", 'hera'),
         "param_name"=> "idcate",
         "value"     => "",
         "description" => __("Enter your category, show portfolio by category.", 'hera')
      ),
      array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "edit_field_class" => "vc_col-sm-6",
         "heading"   => __("Number Show Portfolio", 'hera'),
         "param_name"=> "show",
         "value"     => 12,
         "description" => __("Number Show Portfolio, Default: 12.", 'hera')
      ), 
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "edit_field_class" => "vc_col-sm-6",
         "heading" => __("Show filter", 'hera'),
         "param_name" => "show_filter",
         "value" => array(   
                     __('Yes', 'hera') => 'yes',
                     __('No', 'hera') => 'no',
                    ),
         "description" => __("Append filter to grid.", 'hera')
      ),
      array(
         "type" => "dropdown",
         "holder" => "div",
         "class" => "",
         "edit_field_class" => "vc_col-sm-6",
         "heading" => __("Grid elements per row", 'hera'),
         "param_name" => "columns",
         "value" => array(                
                     __('Columns 3', 'hera') => 3,        
                     __('Columns 4', 'hera') => 4,                     
                     __('Columns 2', 'hera') => 2,
                    ),
         "description" => __("Select number of single grid elements per row.", 'hera')
      ), 
      array(         
         "type" => "textfield",         
         "holder" => "div",         
         "class" => "",         
         "edit_field_class" => "vc_col-sm-6",
         "heading" => "Order by :",         
         "param_name" => "orderby",         
         "value" => "",         
         "description" => __("Enter Order by. Example: title, date, rand ", 'hera' )      
      ),  
      array(         
         "type" => "textfield",         
         "holder" => "div",         
         "class" => "",     
         "edit_field_class" => "vc_col-sm-6",    
         "heading" => "Order : ",         
         "param_name" => "order",         
         "value" => "",         
         "description" => __("Enter Order. Example: DESC, ASC ", 'hera' )      
      ),        
    )));
}

// Portfolio Popup
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Portfolio Popup", 'hera'),
   "base"      => "portfolio_popup",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params"    => array(
       array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Text Show All Portfolio", 'hera'),
         "param_name"=> "all",
         "value"     => "",
         "description" => __("Example: Show All, Text Filter Show All Portfolio.", 'hera')
      ),
     array(         
         "type" => "textfield",         
         "holder" => "div",         
         "class" => "",         
         "heading" => "Order by :",         
         "param_name" => "orderby",         
         "value" => "",         
         "description" => __("Enter Order by. Example: title, date, rand ", 'hera' )      
      ),  
      array(         
         "type" => "textfield",         
         "holder" => "div",         
         "class" => "",         
         "heading" => "Order : ",         
         "param_name" => "order",         
         "value" => "",         
         "description" => __("Enter Order. Example: DESC, ASC ", 'hera' )      
      ),  
      array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Number Show Portfolio", 'hera'),
         "param_name"=> "show",
         "value"     => 16,
         "description" => __("Number Show Portfolio, Default: 16.", 'hera')
      ),
    )));
}

if ( ! function_exists( 'is_plugin_active' ) ) {
  require_once( ABSPATH . 'wp-admin/includes/plugin.php' );
}
if ( is_plugin_active( 'js_composer/js_composer.php' ) ) {     
  if ( function_exists( 'vc_add_shortcode_param' ) ) {
     vc_add_shortcode_param( 'select_categories', 'select_param', get_template_directory_uri() . '/framework/admin/js/select-field.js' );
  } elseif ( function_exists( 'add_shortcode_param' ) ) {
     add_shortcode_param( 'select_categories', 'select_param', get_template_directory_uri() . '/framework/admin/js/select-field.js' );
  }
}   

function select_param( $settings, $value ) {
  $categories = get_terms( 'categories' );
  $cat = array();
  foreach( $categories as $category ) {
     if( $category ) {
        $cat[] = sprintf('<option value="%s">%s</option>',
           esc_attr( $category->slug ),
           $category->name
        );
     }

  }

  return sprintf(
     '<input type="hidden" name="%s" value="%s" class="wpb-input-categories wpb_vc_param_value wpb-textinput %s %s_field">
     <select class="select-categories-post">
     %s
     </select>',
     esc_attr( $settings['param_name'] ),
     esc_attr( $value ),
     esc_attr( $settings['param_name'] ),
     esc_attr( $settings['type'] ),
     implode( '', $cat )
  );
}

//Gallery Project
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT Image Gallery", 'hera'),
   "base" => "ot_image_gallery",
   "class" => "",
   "category"  => 'Hera Elements',
   "icon" => "icon-st",
   "params" => array(        
      array(
         "type" => "attach_images",
         "holder" => "div",
         "class" => "",
         "heading" => "Add Images",
         "param_name" => "gallery",
         "value" => "",
         "description" => __("Select images from media library.", 'hera')
      ),
    )
    ));
}

//Slider Project
if(function_exists('vc_map')){
   vc_map( array(
   "name" => __("OT Slider Project", 'hera'),
   "base" => "sliderproject",
   "class" => "",
   "category"  => 'Hera Elements',
   "icon" => "icon-st",
   "params" => array(        
      array(
         "type" => "attach_images",
         "holder" => "div",
         "class" => "",
         "heading" => "Slider Project",
         "param_name" => "gallery",
         "value" => "",
         "description" => __("Slider Project", 'hera')
      ),
    )
    ));
}

//Video Project
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Video Project", 'hera'),
   "base"      => "videoproject",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params"    => array(
      array(
        "type" => "dropdown",
        "heading" => __('Video Style', 'hera'),
        "param_name" => "style",
        "value" => array(  
          __('Style 1: HTML5 Video', 'hera') => 'style1',
          __('Style 2: Youtube & Vimeo  Video', 'hera') => 'style2',                      

         ),
      ),
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Video Poster",
         "param_name" => "photo",
         "dependency"  => array( 'element' => 'style', 'value' => array( 'style1' ) ),         
      ),      
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link Video Webm",
         "param_name" => "video_webm",
         "dependency"  => array( 'element' => 'style', 'value' => array( 'style1' ) ),         
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link Video MP4",
         "param_name" => "video_mp4",
         "dependency"  => array( 'element' => 'style', 'value' => array( 'style1' ) ),
         
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link Video Ogg",
         "param_name" => "video_ogg",
         "dependency"  => array( 'element' => 'style', 'value' => array( 'style1' ) ),
         
      ), 
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link Video Youtube or Vimeo",
         "param_name" => "video_link",
         "dependency"  => array( 'element' => 'style', 'value' => array( 'style2' ) ),         
      ), 
    )));
}

//Video Player
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Video Player", 'hera'),
   "base"      => "videoplayer",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params"    => array(
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Title Section",
         "param_name" => "title",
         "value" => "",         
      ),
      array(
        "type" => "dropdown",
        "heading" => __('Video Style', 'hera'),
        "param_name" => "style",
        "value" => array(  
          __('Style 1: HTML5 Video', 'hera') => 'style1',
          __('Style 2: Youtube & Vimeo  Video', 'hera') => 'style2',                      

         ),
      ),
      array(
         "type" => "attach_image",
         "holder" => "div",
         "class" => "",
         "heading" => "Video Poster",
         "param_name" => "photo",
         "dependency"  => array( 'element' => 'style', 'value' => array( 'style1' ) ),         
      ),      
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link Video Webm",
         "param_name" => "video_webm",
         "dependency"  => array( 'element' => 'style', 'value' => array( 'style1' ) ),         
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link Video MP4",
         "param_name" => "video_mp4",
         "dependency"  => array( 'element' => 'style', 'value' => array( 'style1' ) ),         
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link Video Ogg",
         "param_name" => "video_ogg",
         "dependency"  => array( 'element' => 'style', 'value' => array( 'style1' ) ),         
      ), 
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => "Link Video Youtube or Vimeo",
         "param_name" => "video_link",
         "dependency"  => array( 'element' => 'style', 'value' => array( 'style2' ) ),         
      ), 
    )));
}

//Image Post
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Image Project", 'hera'),
   "base"      => "imagepost",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params"    => array(
      array(
         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => "Title Section",

         "param_name" => "title",

         "value" => "",

         

      ),

      array(

         "type" => "attach_image",

         "holder" => "div",

         "class" => "",

         "heading" => "Image",

         "param_name" => "photo",

         "value" => "",

         

      ),

      

    )));

}


//Our Team (use hera)
if(function_exists('vc_map')){

   vc_map( array(

   "name" => __("OT Our Team", 'hera'),

   "base" => "team",

   "class" => "",

   "icon" => "icon-st",

   "category"  => 'Hera Elements',

   "params" => array(

      array(

         "type" => "attach_image",

         "holder" => "div",

         "class" => "",

         "heading" => "Photo Member",

         "param_name" => "photo",

         "value" => "",

         

      ),

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Name", 'hera'),

         "param_name" => "name",

         "value" => "",

         "description" => __("Member's Name", 'hera')

      ),

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Job", 'hera'),

         "param_name" => "job",

         "value" => "",

         "description" => __("Member's job.", 'hera')

      ),

      array(

         "type" => "textarea_html",

         "holder" => "div",

         "class" => "",

         "heading" => __("Description", 'hera'),

         "param_name" => "content",

         "value" => "",

         "description" => __("Member's Description.", 'hera')

      ),



      array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Icon 1", 'hera'),

         "param_name"=> "icon1",

         "value"     => "",

         "description" => __("Find here: <a target='_blank' href='http://fontawesome.io/icons/'>http://fontawesome.io/icons/</a>", 'hera')

      ),

     array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => "Url 1",

         "param_name"=> "url1",

         "value"     => "",

         "description" => __("Url.", 'hera')

      ),

     array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Icon 2", 'hera'),

         "param_name"=> "icon2",

         "value"     => "",

         "description" => __("Find here: <a target='_blank' href='http://fontawesome.io/icons/'>http://fontawesome.io/icons/</a>", 'hera')

      ),

     array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => "Url 2",

         "param_name"=> "url2",

         "value"     => "",

         "description" => __("Url.", 'hera')

      ),

     array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Icon 3", 'hera'),

         "param_name"=> "icon3",

         "value"     => "",

         "description" => __("Find here: <a target='_blank' href='http://fontawesome.io/icons/'>http://fontawesome.io/icons/</a>", 'hera')

      ),

     array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => "Url 3",

         "param_name"=> "url3",

         "value"     => "",

         "description" => __("Url.", 'hera')

      ),

     array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => __("Icon 4", 'hera'),

         "param_name"=> "icon4",

         "value"     => "",

         "description" => __("Find here: <a target='_blank' href='http://fontawesome.io/icons/'>http://fontawesome.io/icons/</a>", 'hera')

      ),

     array(

         "type"      => "textfield",

         "holder"    => "div",

         "class"     => "",

         "heading"   => "Url 4",

         "param_name"=> "url4",

         "value"     => "",

         "description" => __("Url.", 'hera')

      ),

    )));

}





// Our Facts

if(function_exists('vc_map')){

   vc_map( array(

   "name" => __("OT Our Facts", 'hera'),

   "base" => "ourfacts",

   "class" => "",

   "category"  => 'Hera Elements',

   "icon" => "icon-st",

   "params" => array(

      

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title Fact", 'hera'),

         "param_name" => "title",

         "value" => "",

         "description" => __("Title display in Our Facts box.", 'hera')

      ),

     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Number Fact", 'hera'),

         "param_name" => "number",

         "value" => "",

         "description" => __("Number display in Our Facts box.", 'hera')

      ),

      

    )));

}



// Our Skill (use hera)

if(function_exists('vc_map')){

   vc_map( array(

   "name" => __("OT Our Skills", 'hera'),

   "base" => "skill",

   "class" => "",

   "category"  => 'Hera Elements',

   "icon" => "icon-st",

   "params" => array(

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title Skill 1", 'hera'),

         "param_name" => "name1",

         "value" => "",

         "description" => __("Title display in Our Skill box.", 'hera')

      ),

     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Number Skill 1", 'hera'),

         "param_name" => "per1",

         "value" => "",

         "description" => __("Number display in Our Skill box.", 'hera')

      ),

     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title Skill 2", 'hera'),

         "param_name" => "name2",

         "value" => "",

         "description" => __("Title display in Our Skill box.", 'hera')

      ),

     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Number Skill 2", 'hera'),

         "param_name" => "per2",

         "value" => "",

         "description" => __("Number display in Our Skill box.", 'hera')

      ),

     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title Skill 3", 'hera'),

         "param_name" => "name3",

         "value" => "",

         "description" => __("Title display in Our Skill box.", 'hera')

      ),

     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Number Skill 3", 'hera'),

         "param_name" => "per3",

         "value" => "",

         "description" => __("Number display in Our Skill box.", 'hera')

      ),

     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title Skill 4", 'hera'),

         "param_name" => "name4",

         "value" => "",

         "description" => __("Title display in Our Skill box.", 'hera')

      ),

     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Number Skill 4", 'hera'),

         "param_name" => "per4",

         "value" => "",

         "description" => __("Number display in Our Skill box.", 'hera')

      ),

          

    )));

}



// Services Box (use hera)

if(function_exists('vc_map')){

	vc_map( array(

   "name" => __("OT Services Slider", 'hera'),

   "base" => "servicebox",

   "class" => "",

   "category"  => 'Hera Elements',

   "icon" => "icon-st",

   "params" => array(

	  	

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Number Show", 'hera'),

         "param_name" => "number",

         "value" => 4,

         

      ),    

      

    )

    ));

}





// Pricing Table

if(function_exists('vc_map')){

	vc_map( array(

   "name" => __("OT  Pricing Table", 'hera'),

   "base" => "pricingtable",

   "class" => "",

   "category"  => 'Hera Elements',

   "icon" => "icon-st",

   "params" => array(

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Icon Price", 'hera'),

         "param_name" => "icon",

         "value" => "",

         "description" => __("Find here: <a target='_blank' href='http://fontawesome.io/icons/'>http://fontawesome.io/icons/</a>", 'hera')

      ),

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Title Pricing", 'hera'),

         "param_name" => "title",

         "value" => "",

         "description" => __("Title display in Pricing Table.", 'hera')

      ),

	   array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Price Pricing", 'hera'),

         "param_name" => "price",

         "value" => "",

         "description" => __("Price display in Pricing Table.", 'hera')

      ),

      

      array(

         "type" => "textarea_html",

         "holder" => "div",

         "class" => "",

         "heading" => __("Detail Pricing", 'hera'),

         "param_name" => "content",

         "value" => "",

         "description" => __("Content Pricing Table.", 'hera')

      ),

	  array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Label Button", 'hera'),

         "param_name" => "buttontext",

         "value" => "",

         "description" => __("Text display in button.", 'hera')

      ),

      array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => __("Link Button", 'hera'),

         "param_name" => "link",

         "value" => "",

         "description" => __("Link in button.", 'hera')

      ),

	  array(

         "type" => "dropdown",

         "holder" => "div",

         "class" => "",

         "heading" => __("Featured Pricing?", 'hera'),

         "param_name" => "featured",

         "value" => array(   



                     __('No', 'hera') => 'no',



                     __('Yes', 'hera') => 'yes',



                    ),

         

      ),

    )));

}



// Tweets Slider
if(function_exists('vc_map')){



   vc_map( array(



   "name" => __("OT Twitter Feed", 'hera'),



   "base" => "twfeed",



   "class" => "",



   "icon" => "icon-st",



   "category"  => 'Hera Elements',



   "params" => array(



      array(



         "type" => "textfield",



         "holder" => "div",



         "class" => "",



         "heading" => __("Twitter ID", 'hera'),



         "param_name" => "twid",



         "value" => "",



         "description" => __("EX: 428880392213381120", 'hera')



      ),



      array(



         "type" => "textfield",



         "holder" => "div",



         "class" => "",



         "heading" => __("Max Feed", 'hera'),



         "param_name" => "number",



         "value" => 5,



         "description" => __("Number feed show max.", 'hera')



      ),



    )));



}



//Testimonial

if(function_exists('vc_map')){  

   vc_map( array(

   "name" => __("OT  Testimonial", 'hera'),

   "base" => "testi",

   "class" => "",

   "category"  => 'Hera Elements',

   "icon" => "icon-st",

   "params" => array(

      

     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => "Number Posts",

         "param_name" => "number",

         "value" => 3,

         

      ),        

    )

    ));

}



// History

if(function_exists('vc_map')){  

   vc_map( array(

   "name" => __("OT  History", 'hera'),

   "base" => "history",

   "class" => "",

   "category"  => 'Hera Elements',

   "icon" => "icon-st",

   "params" => array(



     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => "Title",

         "param_name" => "title",

         "value" => "",

         

      ), 

     array(

         "type" => "textfield",

         "holder" => "div",

         "class" => "",

         "heading" => "Number Posts",

         "param_name" => "number",

         "value" => 3,

         

      ),        

    )

    ));

}

//Contact Info (use)
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT Contact Info", 'hera'),
   "base"      => "cinfo",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params"    => array(
      array(
         'type' => 'iconpicker',
         'heading' => __( 'Icon', 'hera' ),
         'param_name' => 'icon_fontawesome',
         'value' => 'fa fa-info-circle',
         'settings' => array(
            'emptyIcon' => false, // default true, display an "EMPTY" icon?
            'iconsPerPage' => 4000, // default 100, how many icons per/page to display
         ),         
         'description' => __( 'Select icon from library.', 'hera' ),
      ), 
      array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Title", 'hera'),
         "param_name"=> "title",
         "value"     => "",
         "description" => __("Title info", 'hera')
      ),
      array(
         "type"      => "textarea_html",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Description", 'hera'),
         "param_name"=> "content",
         "value"     => "",
         "description" => __("Description info", 'hera')
      ),
    )));
}

//Google Map (use)
if(function_exists('vc_map')){
   vc_map( array(
   "name"      => __("OT GMaps", 'hera'),
   "base"      => "maps",
   "class"     => "",
   "icon" => "icon-st",
   "category"  => 'Hera Elements',
   "params"    => array(
      array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Enter your address", 'hera'),
         "param_name"=> "address",
         "value"     => '',
         "description" => __("", 'hera')
      ),
      array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Latitude", 'hera'),
         "param_name"=> "latitude",
         "value"     => 44.8013716,
         "description" => __("Find Latitude code: <a href='http://www.latlong.net/' target='_blank'>view more</a>", 'hera')
      ),
     array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Longitude", 'hera'),
         "param_name"=> "longitude",
         "value"     => 20.4631372,
         "description" => __("Find Longitude code: <a href='http://www.latlong.net/' target='_blank'>view more</a>", 'hera')
      ),     
     array(
         "type"      => "attach_image",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Location Image", 'hera'),
         "param_name"=> "iconmap",
         "value"     => "",
         "description" => __("Upload Location Image.", 'hera')
      ),
      array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Enter number for Zoom Map", 'hera'),
         "param_name"=> "zoommap",
         "value"     => 15,
         "description" => __("Add number zoom map 10 -> 20", 'hera')
      ),
      array(
         "type"      => "colorpicker",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Color Map", 'hera'),
         "param_name"=> "main_color",
         "value"     => '',
         "description" => __("Ex: #cccccc", 'hera')
      ),
      array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Enter saturation value", 'hera'),
         "param_name"=> "saturation_value",
         "value"     => -100,
         "description" => __("For color map", 'hera')
      ),
      array(
         "type"      => "textfield",
         "holder"    => "div",
         "class"     => "",
         "heading"   => __("Enter brightness value", 'hera'),
         "param_name"=> "brightness_value",
         "value"     => 9,
         "description" => __("For color map", 'hera')
      ),      
    )));
}

 ?>