<?php
/**
 * The template for displaying 404 pages (Not Found)
 */
get_header(); ?>

<div id="about">
	<div class="parallax-section">
		<div class="parallax-blog"></div>
		<div class="just_pattern"></div>
		<div class="container z-index-pages">
			<div class="twelve columns" data-scrollreveal="enter top and move 250px over 3s">
				<h1><?php esc_html_e('Page not found here.', 'hera'); ?></h1>
			</div>
			<div class="twelve columns">
				<div class="text-line-pages"></div>
			</div>	
			<div class="twelve columns" data-scrollreveal="enter bottom and move 250px over 3s">				
				<div class="padding-bottom-160">
					<div class="small-text-pages">
						<?php esc_html_e('The page you are looking for no longer exists. Perhaps you can return back to the sites homepage see you can find what you are looking for.', 'hera'); ?>
					</div>
				</div>				
			</div>			
		</div>
	</div>

	<div class="section-in white-back padding-top-bottom">					
		<div class="container">		
			<div class="twelve columns">				
				<div class="blog-link align-center"><a class="btn btn-primary" href="<?php echo esc_url(home_url('/')); ?>"><i class="fa fa-long-arrow-left"></i> <?php esc_html_e('Back To Home', 'hera'); ?></a></div>			
			</div>		
		</div>
	</div>
</div>
<?php get_footer();
