<?php global $hera_option; ?>	
<div class="blog_post">
	<?php if (is_single()) { ?> 
		<?php if( function_exists( 'rwmb_meta' ) ) { ?>
			<?php $images = rwmb_meta( '_cmb_images', "type=image" ); ?>
		    <?php if($images){ ?>
		    <div class="blog-slider blog-single">
				<div id="owl-blog<?php the_ID(); ?>" class="owl-carousel owl-theme">
					<?php foreach ( $images as $image ) { ?>
						<div class="item">
							<img src="<?php echo esc_url($image['full_url']); ?>" alt="">
						</div>
					<?php } ?>
				</div>
			</div>		
			<?php } ?>
		<?php } ?>	
		<div class="post-block">
			<h6><?php the_title(); ?></h6>
			<div class="blog-text-date"><?php the_date( get_option( 'date_format' ) ); ?></div>
			<?php the_content(); ?>
		</div>
	<?php }else{ ?>
		<div class="blog-post blog-slider">
			<?php if( function_exists( 'rwmb_meta' ) ) { ?>
				<?php $images = rwmb_meta( '_cmb_images', "type=image" ); ?>
			    <?php if($images){ ?>
					<div id="owl-blog<?php the_ID(); ?>" class="owl-carousel owl-theme">
						<?php foreach ( $images as $image ) { ?>
							<div class="item">
								<img src="<?php echo esc_url($image['full_url']); ?>" alt="">
							</div>
						<?php } ?>
					</div>	
				<?php } ?>
			<?php } ?>	
			<p class="meta_data clearfix">
				<span class="time"><i class="fa fa-calendar-o"></i> <?php the_date( get_option( 'date_format' ) ); ?></span>
				<span class="comments"><i class="fa fa-comments"></i> <a href="<?php comments_link(); ?>"><?php comments_number( __('0 comment', 'hera' ), __('1 comment', 'hera' ), __('% comments', 'hera' )); ?></a></span>
			</p>
			<h6><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h6>	
			<p><?php echo hera_excerpt($hera_option['blog_excerpt']); ?>
			<a href="<?php the_permalink(); ?>"><span><?php esc_html_e('Read more', 'hera'); ?></span></a></p> 
		</div>
	<?php } ?>

	<?php if( function_exists( 'rwmb_meta' ) ) { ?>	
		<script type="text/javascript">
		(function($) { "use strict";
			/* Post Carousel */	
			$(document).ready(function() {
			 
			  var time = 4; // time in seconds
			 
			  var $progressBar,
				  $bar, 
				  $elem, 
				  isPause, 
				  tick,
				  percentTime;
			 
				//Init the carousel
				$("#owl-blog<?php the_ID(); ?>").owlCarousel({
					navigation: true,
					pagination : false,
					slideSpeed : 500,
					paginationSpeed : 500,
					singleItem:true,
					afterInit : progressBar,
					afterMove : moved,
					startDragging : pauseOnDragging
				});
			 
				//Init progressBar where elem is $("#owl-demo")
				function progressBar(elem){
				  $elem = elem;
				  //build progress bar elements
				  buildProgressBar();
				  //start counting
				  start();
				}
			 
				//create div#progressBar and div#bar then prepend to $("#owl-demo")
				function buildProgressBar(){
				  $progressBar = $("<div>",{
					id:"progressBar-blog"
				  });
				  $bar = $("<div>",{
					id:"bar-blog"
				  });
				  $progressBar.append($bar).prependTo($elem);
				}
			 
				function start() {
				  //reset timer
				  percentTime = 0;
				  isPause = false;
				  //run interval every 0.01 second
				  tick = setInterval(interval, 10);
				};
			 
				function interval() {
				  if(isPause === false){
					percentTime += 1 / time;
					$bar.css({
					   width: percentTime+"%"
					 });
					//if percentTime is equal or greater than 100
					if(percentTime >= 100){
					  //slide to next item 
					  $elem.trigger('owl.next')
					}
				  }
				}			 
				function pauseOnDragging(){
				  isPause = true;
				}			 
				function moved(){
				  clearTimeout(tick);
				  start();
				}			 				
			});	
		})(jQuery);
		</script>
	<?php } ?>
</div>