<?php

/**
* Template Name: Template Blog
*/
$title = get_post_meta(get_the_ID(),'_cmb_page_title', true);
$subtitle1 = get_post_meta(get_the_ID(),'_cmb_page_subtitle', true);
global $hera_option;
get_header(); ?>

<div id="about">
	<div class="parallax-section">
		<div class="parallax-blog"
		<?php if( function_exists( 'rwmb_meta' ) ) { ?>      
	        <?php $images = rwmb_meta( '_cmb_bg_page', "type=image" ); ?>
	        <?php if($images){ foreach ( $images as $image ) { ?>
	        <?php 
	        $img =  $image['full_url']; ?>
	          style="background-image: url('<?php echo esc_url($img); ?>');"
	        <?php } } ?>
	    <?php } ?>
		></div>
		<div class="just_pattern"></div>
		<div class="container z-index-pages">
			<div class="twelve columns" data-scrollreveal="enter top and move 250px over 3s">
				<h1><?php the_title(); ?></h1>
			</div>
			<div class="twelve columns">
				<div class="text-line-pages"></div>
			</div>	
			<div class="twelve columns" data-scrollreveal="enter bottom and move 250px over 3s">
				<?php echo htmlspecialchars_decode($subtitle1); ?>
			</div>			
		</div>
	</div>

	<div class="top-blog">	
		<div class="container">

			<?php if(isset($hera_option['blog-layout']) and $hera_option['blog-layout'] == 2 ){ ?>
				<div class="three columns">				
					<?php get_sidebar();?>
				</div>
			<?php } ?>

			<div class="<?php if(isset($hera_option['blog-layout']) and $hera_option['blog-layout'] == 1 ){echo 'twelve';}else{echo 'nine';} ?> columns">
				<?php 
					$paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
					$args = array(    								
						'post_type' => 'post',
						'paged' => $paged,
					);
					$wp_query = new WP_Query($args);
					while ($wp_query -> have_posts()): $wp_query -> the_post(); 
						get_template_part( 'content', ( post_type_supports( get_post_type(), 'post-formats' ) ? get_post_format() : get_post_type() ) );
				    endwhile;
				?>	
				<div class="pagination">	
					<?php echo hera_pagination(); ?>
				</div>	
			</div>

			<?php if(isset($hera_option['blog-layout']) and $hera_option['blog-layout'] == 3 ){ ?>
				<div class="three columns">				
					<?php get_sidebar();?>
				</div>
			<?php } ?>	

		</div>
	</div>	
</div>
<?php get_footer(); ?>

