<?php 
	$title = get_post_meta(get_the_ID(),'_cmb_page_title', true);
	$subtitle1 = get_post_meta(get_the_ID(),'_cmb_page_subtitle', true);
	get_header(); 		
?>
<div id="about">		
	<div class="parallax-section">
		<div class="parallax-blog"
		<?php if( function_exists( 'rwmb_meta' ) ) { ?>       
	        <?php $images = rwmb_meta( '_cmb_bg_page', "type=image" ); ?>
	        <?php if($images){ foreach ( $images as $image ) { ?>
	        <?php 
	        $img =  $image['full_url']; ?>
	          style="background-image: url('<?php echo esc_url($img); ?>');"
	        <?php } } ?>
	    <?php } ?>
		></div>
		<div class="just_pattern"></div>
		<div class="container z-index-pages">
			<div class="twelve columns" data-scrollreveal="enter top and move 250px over 3s">
				<h1><?php the_title(); ?></h1>
			</div>
			<div class="twelve columns">
				<div class="text-line-pages"></div>
			</div>	
			<div class="twelve columns" data-scrollreveal="enter bottom and move 250px over 3s">									
				<?php echo htmlspecialchars_decode($subtitle1); ?>									
			</div>			
		</div>
	</div>
	
	<div class="padding-page-top">	
		<div class="container">

			<div class="nine columns">
				<?php while (have_posts()) : the_post()?>
	                <?php the_post_thumbnail() ?>
	                <div class="single-article">
	                	<?php the_content(); ?>
	                </div>	                	                
					<?php 
					 // If comments are open or we have at least one comment, load up the comment template.
					 if ( comments_open() || get_comments_number() ) :
					  comments_template();
					 endif; 
					?>
					<?php
                        wp_link_pages( array(
                            'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'hera' ) . '</span>',
                            'after'       => '</div>',
                            'link_before' => '<span>',
                            'link_after'  => '</span>',
                            'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'hera' ) . ' </span>%',
                            'separator'   => '<span class="screen-reader-text">, </span>',
                        ) );
                    ?>
	              <?php endwhile; ?>
			</div>

			<div class="three columns">				
				<?php get_sidebar();?>
			</div>	
		</div>
	</div>	
</div>
<?php get_footer(); ?>