<?php get_header(); ?>

<div id="about">		
	<div class="parallax-section">
		<div class="parallax-blog"></div>
		<div class="just_pattern"></div>
		<div class="container z-index-pages">
			<div class="twelve columns" data-scrollreveal="enter top and move 250px over 3s">
				<h1><?php esc_html_e( 'Search' , 'hera' ); ?></h1>
			</div>
			<div class="twelve columns">
				<div class="text-line-pages"></div>
			</div>	
			<div class="twelve columns" data-scrollreveal="enter bottom and move 250px over 3s">					
				<div class="padding-bottom-160">
					<div class="small-text-pages">
						<?php printf( __( 'Search results for: <span>%s</span>', 'hera' ), get_search_query() ); ?>
					</div>
				</div>					
			</div>			
		</div>
	</div>

	<div class="top-blog">	
		<div class="container">
			
			<div class="nine columns">
				<?php if(have_posts()) : ?> 
					<?php 				
						while (have_posts()): the_post(); 
							get_template_part( 'content', ( post_type_supports( get_post_type(), 'post-formats' ) ? get_post_format() : get_post_type() ) );				    
					    endwhile;
					?> 
				<?php else: ?>
	                <h2><?php esc_html_e('Nothing Found Here!', 'hera'); ?></h2>
	            <?php endif; ?>	
				<div class="pagination">							
					<?php echo hera_pagination(); ?>												
				</div>	
			</div>

			<div class="three columns">				
				<?php get_sidebar();?>
			</div>	

		</div>
	</div>	
</div>			
<?php get_footer(); ?>