<?php get_header(); ?>
<?php global $hera_option; ?>	
<div id="about">	 
	<div class="parallax-section">
		<div class="parallax-blog"></div>
		<div class="just_pattern"></div>
		<div class="container z-index-pages">
			<div class="twelve columns" data-scrollreveal="enter top and move 250px over 3s">
				<h1><?php the_title(); ?></h1>
			</div>
			<div class="twelve columns">
				<div class="text-line-pages"></div>
			</div>	
			<div class="twelve columns" data-scrollreveal="enter bottom and move 250px over 3s">
				<?php while(have_posts()) : the_post(); ?>					
					<ul class="flippy">
						<li>
							<div class="small-text-pages"><?php esc_html_e('AUTHOR:', 'hera') ?> <?php the_author_meta('nickname'); ?></div>
						</li>
						<li>
							<div class="small-text-pages"><?php the_date( get_option( 'date_format' ) ); ?></div>
						</li>
					</ul>
				<?php endwhile; ?>
			</div>			
		</div>
	</div>

	<div class="top-blog">
		<div class="container">

			<?php if(isset($hera_option['blog-layout']) and $hera_option['blog-layout'] == 2 ){ ?>
				<div class="three columns">				
					<?php get_sidebar();?>
				</div>
			<?php } ?>

			<div class="<?php if(isset($hera_option['blog-layout']) and $hera_option['blog-layout'] == 1 ){echo 'twelve';}else{echo 'nine';} ?> columns">
				<?php while(have_posts()) : the_post(); ?>
					<div class="blog-post single-article" id="blog-single">
						<?php get_template_part( 'content', ( post_type_supports( get_post_type(), 'post-formats' ) ? get_post_format() : get_post_type() ) ); ?>
						<?php
							if(get_the_tag_list()) {
								echo get_the_tag_list('<div class="tag11">','</div><div class="tag11">','</div>');
							}
						?>
					</div>
					<?php 
		                // Previous/next post navigation.
		                the_post_navigation( array(
		                  'next_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Next', 'hera' ) . '</span> ' .
		                    '<span class="screen-reader-text">' . esc_html__( 'Next post:', 'hera' ) . '</span> ' .
		                    '<span class="post-title">%title</span>',
		                  'prev_text' => '<span class="meta-nav" aria-hidden="true">' . esc_html__( 'Previous', 'hera' ) . '</span> ' .
		                    '<span class="screen-reader-text">' . esc_html__( 'Previous post:', 'hera' ) . '</span> ' .
		                    '<span class="post-title">%title</span>',
		                ) ); 
		            ?>
		            <div class="clearfix"></div>
		            <?php if ( comments_open()) : ?>
		                <div class='comments-box'>
		                	<h4><?php comments_number( __('0 comment', 'hera'), __('1 comment', 'hera'), __('% comments', 'hera') ); ?><h4>
		                </div>
		                <?php comments_template(); ?> 
	                <?php  endif; ?>
                <?php endwhile;?>
			</div>

			<?php if(isset($hera_option['blog-layout']) and $hera_option['blog-layout'] == 3 ){ ?>
				<div class="three columns">				
					<?php get_sidebar();?>
				</div>
			<?php } ?>

		</div>
	</div>	
</div>	
<?php get_footer(); ?>						
